summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.gitignore1
-rw-r--r--Makefile4
-rwxr-xr-xbuild-repo20
-rw-r--r--src/memdmp/zsh-zuwu/APKBUILD31
-rw-r--r--src/memdmp/zsh-zuwu/zsh-zuwu.post-install2
5 files changed, 58 insertions, 0 deletions
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..ea8c4bf
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1 @@
+/target
diff --git a/Makefile b/Makefile
new file mode 100644
index 0000000..36bf53d
--- /dev/null
+++ b/Makefile
@@ -0,0 +1,4 @@
+all: build
+
+build:
+ ./build-repo
diff --git a/build-repo b/build-repo
new file mode 100755
index 0000000..b4969f5
--- /dev/null
+++ b/build-repo
@@ -0,0 +1,20 @@
+#!/usr/bin/env zsh
+set -eax
+# note: we assume `abuild-keygen -a -i` has alr been run
+ALL_TARGET="$(pwd)/target"
+rm -rf "$ALL_TARGET"
+mkdir -p "$ALL_TARGET"
+for REPOPATH in ./src/*; do
+ cd "$REPOPATH";
+ REPO="$(basename "$REPOPATH")";
+ for PKG in ./*; do
+ cd "$PKG";
+ PKG="$(basename "$PKG")";
+
+ if [[ "$NEWSUM" == "1" ]]; then abuild checksum; fi
+ abuild -r -P "$ALL_TARGET"
+
+ cd ..;
+ done
+ cd ../..;
+done
diff --git a/src/memdmp/zsh-zuwu/APKBUILD b/src/memdmp/zsh-zuwu/APKBUILD
new file mode 100644
index 0000000..9ce6024
--- /dev/null
+++ b/src/memdmp/zsh-zuwu/APKBUILD
@@ -0,0 +1,31 @@
+# Maintainer: memdmp <memdmp@estrogen.zone>
+_pkgname="zuwu"
+pkgname="zsh-$_pkgname"
+pkgver=0.0.0
+pkgrel=0
+pkgdesc="Opinionated ZSH \"Microframework\" to give a baseline usable experience"
+url="https://git.estrogen.zone/zuwu.git/"
+arch="all"
+license="MIT"
+depends="zsh"
+makedepends="lzip"
+install="$pkgname.post-install"
+subpackages=""
+source="https://git.estrogen.zone/zuwu.git/snapshot/$_pkgname-$pkgver.tar.lz"
+builddir="$srcdir/$_pkgname-$pkgver"
+options="!check"
+
+build() {
+ return 0
+}
+
+package() {
+ mkdir -p "$pkgdir"
+ PREFIX="$pkgdir/usr" ./install.zsh
+}
+
+# TODO: write examples :3
+
+sha512sums="
+96097849fc5f4e9c4bf399009411610c71c2baaec7900540d64444c26472f8c86ac3c6b8c4e5b886534bea99b1e505819c0128457b497fe98ddeed84b1c6ef45 zuwu-0.0.0.tar.lz
+"
diff --git a/src/memdmp/zsh-zuwu/zsh-zuwu.post-install b/src/memdmp/zsh-zuwu/zsh-zuwu.post-install
new file mode 100644
index 0000000..a4cf43d
--- /dev/null
+++ b/src/memdmp/zsh-zuwu/zsh-zuwu.post-install
@@ -0,0 +1,2 @@
+#!/usr/bin/env zsh
+echo -e "\x1b[0;32mEach user that wants zuwu installed should run \x1b[0;34m/usr/share/zsh/plugins/zuwu/setup.zsh\x1b[0;32m.\x1b[0m"